#
# Generated by the NeXT Project Builder.
#
# NOTE: Do NOT change this file -- Project Builder maintains it.
#
# Put all of your customizations in files called Makefile.preamble
# and Makefile.postamble (both optional), and Makefile will include them.
#

NAME = View

PROJECTVERSION = 2.8
PROJECT_TYPE = Component

GLOBAL_RESOURCES = OHLinkCursor.tiff

CLASSES = OHAbstractTextRow.m OHHTMLAnchor.m OHHTMLDocument.m\
          OHHTMLLink.m OHHTMLOwner.m OHHTMLPageView.m\
          OHHTMLView-TrackingRect.m OHHTMLView.m OHLay.m OHLine.m\
          OHParagraph.m OHWord.m

HFILES = OHAbstractTextRow.h OHHTMLAnchor.h OHHTMLDocument.h\
         OHHTMLLink.h OHHTMLOwner.h OHHTMLPageContentProtocol.h\
         OHHTMLPageView.h OHHTMLTextViewWithBackgroundImageProtocol.h\
         OHHTMLView-TrackingRect.h OHHTMLView.h OHLay.h OHLine.h\
         OHParagraph.h OHWord.h

OTHERSRCS = Makefile.preamble Makefile Makefile.postamble


MAKEFILEDIR = $(MAKEFILEPATH)/pb_makefiles
CODE_GEN_STYLE = DYNAMIC
MAKEFILE = subproj.make
NEXTSTEP_INSTALLDIR = $(OMNI_FRAMEWORKS)
LIBS = 
DEBUG_LIBS = $(LIBS)
PROF_LIBS = $(LIBS)


PUBLIC_HEADERS = OHHTMLDocument.h OHHTMLLink.h OHHTMLOwner.h\
                 OHHTMLPageContentProtocol.h OHHTMLPageView.h\
                 OHHTMLTextViewWithBackgroundImageProtocol.h OHHTMLView.h

PROJECT_HEADERS = OHHTMLAnchor.h



NEXTSTEP_BUILD_OUTPUT_DIR = $(OMNI_BUILDOUTPUT)/Frameworks/$(NAME)

NEXTSTEP_OBJCPLUS_COMPILER = /usr/bin/cc
WINDOWS_OBJCPLUS_COMPILER = $(DEVDIR)/gcc
PDO_UNIX_OBJCPLUS_COMPILER = $(NEXTDEV_BIN)/gcc
NEXTSTEP_JAVA_COMPILER = /usr/bin/javac
WINDOWS_JAVA_COMPILER = $(JDKBINDIR)/javac.exe
PDO_UNIX_JAVA_COMPILER = $(NEXTDEV_BIN)/javac

include $(MAKEFILEDIR)/platform.make

-include Makefile.preamble

include $(MAKEFILEDIR)/$(MAKEFILE)

-include Makefile.postamble

-include Makefile.dependencies
